extends "res://Entities/Characters/Movers/mover.gd"

func _input(event):
	if event is InputEventKey:
		match event.keycode:
			KEY_W:
				self.state_move_forward = event.pressed
			KEY_A:
				self.state_move_left = event.pressed
			KEY_S:
				self.state_move_backward = event.pressed
			KEY_D:
				self.state_move_right = event.pressed
			KEY_Q:
				self.state_turn_left = event.pressed
			KEY_E:
				self.state_turn_right = event.pressed
